Bug 1241126 - builddep: empty run or run on unknown package name doesn't fail
builddep: empty run or run on unknown package name doesn't fail
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Mráka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-08 10:00 EDT by Milan Kubík
Modified: 2015-08-19 03:51 EDT (History)
8 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.10-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-14 22:14:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kubík 2015-07-08 10:00:39 EDT
Description of problem:
When running `dnf builddep` or `dnf builddep package-that-doesnt-exist`, dnf returns output like:

Last metadata expiration check performed 0:01:20 ago on Wed Jul  8 15:48:00 2015.
Dependencies resolved.
Nothing to do.
Complete!

From what I understand, when the argument doesn't end in src.rpm, rpm or spec, it searches repositories for package with that name. Since there is no package of that name (or no package as an argument), I'd expect some kind of an error message or warning and nonzero return code.

Version-Release number of selected component (if applicable):
dnf-conf-1.0.1-2.fc22.noarch
dnf-1.0.1-2.fc22.noarch
dnf-plugins-core-0.1.9-1.fc22.noarch
dnf-yum-1.0.1-2.fc22.noarch

How reproducible:
always

Steps to Reproduce:
1a. run 'dnf builddep'
1b. run 'dnf builddep bogus-package-name'

Actual results:
# dnf builddep bogus-package-name
Last metadata expiration check performed 0:10:35 ago on Wed Jul  8 15:48:00 2015.
Dependencies resolved.
Nothing to do.
Complete!


Expected results:
1a. Warning/help message for builddep
1b. Warning/error message stating wrong package name, package not found.
In both cases return value other than 0.

Additional info:
Comment 1 Michael Mráka 2015-07-15 07:46:46 EDT
Proposed fix is a part of
https://github.com/rpm-software-management/dnf-plugins-core/pull/102
Comment 2 Fedora Update System 2015-08-10 06:05:33 EDT
dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23
Comment 3 Fedora Update System 2015-08-10 06:49:37 EDT
dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22
Comment 4 Fedora Update System 2015-08-10 22:10:51 EDT
Package dnf-plugins-core-0.1.10-1.fc22, dnf-1.1.0-1.fc22, hawkey-0.6.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.10-1.fc22 dnf-1.1.0-1.fc22 hawkey-0.6.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13162/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-08-14 22:14:20 EDT
dnf-plugins-core-0.1.10-1.fc22, hawkey-0.6.0-1.fc22, dnf-1.1.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-08-19 03:51:24 EDT
dnf-plugins-core-0.1.10-1.fc23, hawkey-0.6.0-1.fc23, dnf-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.